struct timer_ll {
	long sec;
	long usec;
	long setsec;
	long setusec;
	void (*handle)();
	struct timer_ll *next;
};

void make_sound(int, int, int, float, float, float [3]);
int find_sound_idx(char *sound);
int find_model_idx(char *model);

float distance(float [3], float [3]);
void add_timer(long, long, void *);
void del_timer(struct timer_ll *);
struct timer_ll *find_timer(long, long, void *);
void check_timers(void);
void got_command(char *);
char *rot13(char *);
void beep_quad(void);
float get_yaw(float, float, float, float);
float get_tilt(float, float, float, float, float, float);
int find_nearest_player(void);
