#define VERSION "0.5"
#define DEFAULT_PORT 27500
#define BUF_SIZE 4096

struct buffer_t {
	unsigned char *buf;
	unsigned char *bufmem;
	int len;
	int pos;
};

struct info_t {
	int frame;
	float framerate;
};

struct player_t {
	float origin[3];
	float delta[3];
	char *name;
	char *team;
	int frame;
	int unknown;
	float cangle[3];
	float angle[3];
	float cgoing[3];
	float going[3];
	int flags;
	int impulse;
	int load;
	float speed[3];
	int modelindex;
	int unknown2;
	int weapon;
	int weaponframe;
	int visible;
};

struct entity_t {
	int modelidx;
	int colormap;
	int skin;
	int effects;
	int frame;
	int visible;
	float angle[3];
	float origin[3];
};

struct opcode_t {
	int opcode;
	char *desc;
	void (*handle)(int);
};

void show_help(char *);
void client_parse(void);
void server_parse(void);
void clprint(int, char *, ...);
void got_sig(int);
